Retrieves the contact with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "b3495dd7-ffd6-4a38-a1e9-cef8a3b9ae6d",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "e133d838-e14b-4464-893a-2118f14f1727",
"company_code": "sample string 5",
"company": {
"id": "ca55cc4e-e7e2-4b60-a699-54f73e6d960e",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-10-23T13:19:48.7003878+00:00",
"sales_territory_id": "c5859c8b-1251-4af0-846c-6ab139c0ef7e",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "76e3c9b4-ff05-48c9-95a3-070b33248414",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "cba0c23e-ac1e-433a-81ac-1c691a9aacb2",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "bae267dc-3d16-4d4e-ac50-072769eaf649",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "52b771a5-7cbc-491d-af01-b96f6afae213",
"db_currency_id": "8d56670c-db21-4cb9-8ce0-654deb658aa8",
"db_language_id": "47e04a17-7e14-468e-9b6e-ae5bb2cadad2",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-23T13:19:48.7003878+00:00"
},
"modified_dateutc": "2026-10-23T13:19:48.7003878+00:00"
},
"marketing_segment_id": "d2357d7b-fd8f-4019-8ee8-41c520ba22a7",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "1eba16e7-01f2-4173-b73e-a8a9ba8a63d1",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "47ecc811-bb45-4196-a2ff-53d6dc9b3703",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "999b838b-a43c-40f4-9abe-5aa00e78966b",
"db_country_code": "sample string 28",
"feelist_id": "16700cac-af37-4290-ba7f-7cf40c6ed42a",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "3a8eee3e-fcf0-4e88-b0cf-348e7644918e",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "d9ddc671-d8fd-4f6b-b519-5215acd42349",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-23T13:19:48.7003878+00:00",
"db_currency_id": "38b19bc0-ef30-4fe0-868c-afea77ad6469",
"db_currency_code": "sample string 10"
},
"company_type_id": "fb22f868-638c-4cf2-8c77-1b1188547571",
"company_type_name": "sample string 32",
"company_type": {
"id": "84666a3f-698a-4616-a1df-32f9ec7de5e6",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "53b0b641-2992-4c95-81f2-f9485f718093",
"sales_organization_code": "sample string 5"
},
"db_language_id": "1d37c872-30d5-4c72-b60a-d79db2a59125",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "d4a0b0b9-7f67-4c1d-aa05-652df69bb63d",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "05674a8f-abd1-41e6-9c3c-c22ae9d25f87",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "c45b71f7-3fed-4c77-a893-5db451776805",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-10-23T13:19:48.7003878+00:00"
},
"company_sector_id": "77745174-8a97-4904-aea5-3603818f4e75",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "d07477cd-2b61-4532-9171-36c7feae0f12",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "0ccc6cff-7bb7-4d79-a7f2-576e836ab237",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "298c8f28-946f-46b2-a531-6a0252a82a43",
"account_manager_user_code": "sample string 56",
"company_status_id": "c86e0c88-da0d-458e-a299-5aebc3b84d99",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-10-23T13:19:48.7003878+00:00",
"id2": 60
},
"db_language_id": "15ee4de7-f40c-4bfa-84fa-372bec03f8f6",
"db_language_code": "sample string 7",
"db_title_id": "caaa9cb9-10a1-4452-8b26-12565a3d3593",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-10-23T13:19:48.7003878+00:00",
"create_date": "2026-10-23T13:19:48.7003878+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-10-23T13:19:48.7003878+00:00"
}